Package com.opensymphony.module.sitemesh.mapper

# Class NullDecoratorMapper

java.lang.Object
com.opensymphony.module.sitemesh.mapper.NullDecoratorMapper

All Implemented Interfaces:
  `DecoratorMapper`

public class NullDecoratorMapper extends Object implements DecoratorMapper
The NullDecoratorMapper represents the top-level DecoratorMapper that is finally delegated to if no other DecoratorMapper has intervened. It is used so the parent property does not have to be checked by other DecoratorMappers (null object pattern).

Version:
  $Revision: 1.1 $
Author:
  Joe Walnes
See Also:
  - `DecoratorMapper`

## Constructor Summary

Constructors
Constructor
Description
`NullDecoratorMapper()`

## Method Summary

Modifier and Type
Method
Description
`Decorator`
`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Returns null.
`Decorator`
`getNamedDecorator(javax.servlet.http.HttpServletRequest request, String name)`
Returns null.
`void`
`init(Config config, Properties properties, DecoratorMapper parent)`
Does nothing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullDecoratorMapper

public NullDecoratorMapper()

## Method Details

### init

public void init(Config config, Properties properties, DecoratorMapper parent)
Does nothing.

Specified by:
  `init` in interface `DecoratorMapper`
Parameters:
  `config` - Config supplied by Servlet or Filter.
  `properties` - Any initialization properties (specific to implementation).

### getDecorator

public Decorator getDecorator(javax.servlet.http.HttpServletRequest request, Page page)
Returns null.

Specified by:
  `getDecorator` in interface `DecoratorMapper`

### getNamedDecorator

public Decorator getNamedDecorator(javax.servlet.http.HttpServletRequest request, String name)
Returns null.

Specified by:
  `getNamedDecorator` in interface `DecoratorMapper`